#ifndef ACC_IMAGE_H_
#define ACC_IMAGE_H_

#include <string>
#include <iostream>

#include "Array.h"
#include "RgbImage.h"

class AccImage
{
public:
    AccImage();
	AccImage(const RgbImage& rgb);
	virtual ~AccImage();
    
    size_t rows() const;
    size_t cols() const;

    const Array<float>& A() const;
    const Array<float>& C1() const;
    const Array<float>& C2() const;
private:
    size_t __rows;
    size_t __cols;
    
    Array<float> __A;
    Array<float> __C1;
    Array<float> __C2;
    
friend std::ostream& operator<<(std::ostream& os, const AccImage& img);
};

#endif
