#ifndef _CANNY_BUILDER_H_
#define _CANNY_BUILDER_H_

#include "Array.h"

class CannyBuilder
{
public:
    CannyBuilder(float sigma, float tlow, float thigh);

    Array<int> operator()(const Array<float>& in);
    
private:
    float __sigma;
    float __tlow;
    float __thigh;

    void __followEdge(Array<int>&in, Array<float>& gradient, int r, int c);
};

#endif
