#ifndef CSF_FILTER_H_
#define CSF_FILTER_H_

#include <iostream>

#include "Array.h"

class CsfFilter
{
public:
	CsfFilter(size_t rows = 0, size_t cols = 0);
    
    const Array<float>& A();
    const Array<float>& C1();
    const Array<float>& C2();

private :
    size_t __rows;
    size_t __cols;
    Array<float> __A;
    Array<float> __C1;
    Array<float> __C2;
    
friend std::ostream& operator<<(std::ostream& os, const CsfFilter& csf);
};

#endif
