#ifndef QKOMPARATORMAINWINDOW_H
#define QKOMPARATORMAINWINDOW_H

#include <vector>

#include "ui_QKomparatorMainWindow.h"
#include "Comparison.h"

class QTableWidgetItem;

class QKomparatorMainWindow : public QMainWindow
{
    Q_OBJECT
    
public :
    
    QKomparatorMainWindow();
    
private slots :
    void on_actionNew_triggered();
    void on_actionSave_triggered();
    void on_tableWidget_doubleClicked(const QModelIndex& index);
    
private :
    Ui::QKomparatorMainWindow ui;
    
    QString original; // XXX : we may keep RgbImage ??
    QStringList degraded;
    std::vector<Comparison> comparisons;
    
    void setupDefault();
};

#endif // QKOMPARATORMAINWINDOW_H
