SET(NETPBM_INC_SEARCHPATH
    /sw/include
    /usr/include
    /usr/local/include
    /usr/include/netpbm
    /usr/local/include/netpbm
  )

FIND_PATH(NETPBM_INCLUDE_PATH pbm.h ${NETPBM_INC_SEARCHPATH})

IF(NETPBM_INCLUDE_PATH)
	SET(NETPBM_INCLUDE ${NETPBM_INCLUDE_PATH})
ENDIF (NETPBM_INCLUDE_PATH)

IF(NETPBM_INCLUDE)
	INCLUDE_DIRECTORIES(${NETPBM_INCLUDE})
ENDIF(NETPBM_INCLUDE)

GET_FILENAME_COMPONENT(NETPBM_INSTALL_BASE_PATH ${NETPBM_INCLUDE_PATH} PATH)

SET(NETPBM_LIB_SEARCHPATH
    ${NETPBM_INSTALL_BASE_PATH}/lib
    /usr/lib/netpbm
    /usr/local/lib/netpbm
)

FIND_LIBRARY(PPM_LIB ppm ${NETPBM_LIB_SEARCHPATH})
FIND_LIBRARY(PBM_LIB pbm ${NETPBM_LIB_SEARCHPATH})
FIND_LIBRARY(NET_PBM_LIB netpbm ${NETPBM_LIB_SEARCHPATH})
